EC_NODE_SUBSET_SET_MIN(3)

NAME
ec_node_subset_set_min - Set the minimum number of children that must match.

SYNOPSIS
#include <ecoli/node_subset.h>

int ec_node_subset_set_min(
    struct ec_node   *node,  /* The subset node. */
    unsigned int      min    /* The minimum number of children that must match. */
);

DESCRIPTION

By default, a subset node accepts zero matching children. Use this function to require a minimum number of children to match for the parse to succeed.

RETURN VALUE

0 on success, -1 on error (errno is set).

SEE ALSO

ec_node_subset(3), ec_node_subset_min(3), ec_node_subset_get_min(3), ec_node_subset_add(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.